Page MenuHomePhabricator

Newcomer tasks: do not refresh suggestions until user clicks "Done"
Closed, ResolvedPublic

Description

When the user is interacting with the difficulty filters on desktop, the contents of the suggested edits module should not change in the background as they click on different checkboxes in the filters. The contents should only change once the user clicks "Done" after altering the checkboxes from their original state.

It is recommended that we do this work along with T236842: Newcomer tasks: Animate the "live broadcast" icon in the Suggested edits results overlay , so that the user has feedback that their selections are having an effect.

This is somewhat an extension of T238172: Newcomer tasks: do not refresh suggestions if user cancels difficulty filter.

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterSuggested Edits: Do not update state until user clicks "Done"

Event Timeline

MMiller_WMF renamed this task from Newcomer tasks: do not refresh suggestions until user click "Done" to Newcomer tasks: do not refresh suggestions until user clicks "Done".Nov 16 2019, 12:32 AM
kostajh added a comment.EditedNov 16 2019, 12:46 AM

If we do this, we should probably also do the “animate searching icon” task at the same time because otherwise the user will have no indication that any search is happening — the count is always going to be 200.

MMiller_WMF updated the task description. (Show Details)Nov 16 2019, 12:52 AM
MMiller_WMF moved this task from Inbox to Upcoming Work on the Growth-Team board.

Change 556172 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Suggested Edits: Do not update state until user clicks "Done"

https://gerrit.wikimedia.org/r/556172

Tgr added a comment.Dec 10 2019, 6:53 PM

If we do this, we should probably also do the “animate searching icon” task at the same time because otherwise the user will have no indication that any search is happening — the count is always going to be 200.

Another approach would be to show the total number of search hits (the API already returns it).

Change 556172 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Suggested Edits: Do not update state until user clicks "Done"

https://gerrit.wikimedia.org/r/556172

Etonkovidova closed this task as Resolved.Dec 16 2019, 6:14 PM